org.eclipse.graphiti.services

## Interface ICreateService

All Superinterfaces:
  IGaCreateService, IPeCreateService

All Known Implementing Classes:
  CreateServiceImpl

    public interface ICreateService
    extends IPeCreateService, IGaCreateService

The interface ICreateService provides services for the creation of all available pictogram elements and graphics algorithm's. E.g. Shapes, Connections, Rectangles, ...

### Method Summary

### Methods inherited from interface org.eclipse.graphiti.services.IPeCreateService

`createBoxRelativeAnchor, createChopboxAnchor, createCompositeConnection, createConnectionDecorator, createContainerShape, createCurvedConnection, createDiagram, createDiagram, createDiagram, createDiagram, createFixPointAnchor, createFreeFormConnection, createManhattanConnection, createShape`

### Methods inherited from interface org.eclipse.graphiti.services.IGaCreateService

`createDefaultMultiText, createDefaultMultiText, createDefaultText, createDefaultText, createEllipse, createImage, createInvisibleRectangle, createMultiText, createMultiText, createMultiText, createMultiText, createPlainEllipse, createPlainImage, createPlainMultiText, createPlainMultiText, createPlainPlatformGraphicsAlgorithm, createPlainPolygon, createPlainPolygon, createPlainPolygon, createPlainPolygon, createPlainPolyline, createPlainPolyline, createPlainPolyline, createPlainPolyline, createPlainRectangle, createPlainRoundedRectangle, createPlainStyle, createPlainText, createPlainText, createPlatformGraphicsAlgorithm, createPoint, createPoint, createPointList, createPointList, createPolygon, createPolygon, createPolygon, createPolygon, createPolyline, createPolyline, createPolyline, createPolyline, createRectangle, createRoundedRectangle, createShiftedColor, createShiftedColor, createStyle, createText, createText, createText, createText, createTextStyle, createTextStyle, createTextStyleRegion, createTextStyleRegion`